libzypp 17.37.10

zypp::Counter< TInt > Class Template Reference

Integral type with initial value `0`. More...

`#include <zypp/base/Counter.h>`

## Public Member Functions
| Counter (TInt value_r=TInt(0))
| operator TInt & ()
| operator const TInt & () const

## Public Attributes
TInt | _value

## Detailed Description

template<class TInt>
class zypp::Counter< TInt >

Integral type with initial value `0`.

Definition at line 28 of file Counter.h.

## Constructor & Destructor Documentation

## ◆ Counter()

template<class TInt>

zypp::Counter< TInt >::Counter | ( | TInt | value_r = TInt(0) | ) |
| inline

Definition at line 31 of file Counter.h.

## Member Function Documentation

## ◆ operator TInt &()

template<class TInt>

zypp::Counter< TInt >::operator TInt & | ( |  | ) |
| inline

Definition at line 35 of file Counter.h.

## ◆ operator const TInt &()

template<class TInt>

zypp::Counter< TInt >::operator const TInt & | ( |  | ) | const
| inline

Definition at line 38 of file Counter.h.

## Member Data Documentation

## ◆ _value

template<class TInt>

TInt zypp::Counter< TInt >::_value

Definition at line 42 of file Counter.h.

The documentation for this class was generated from the following file:

- zypp/base/Counter.h